Subject: bug#12230: 24.2; revert-buffer in an Info buffer should refresh Info-index-nodes

From: Chong Yidong <[email-masked]>
Date: Tue, 21 Aug 2012 14:15:18 +0800

Juri Linkov <[email-masked]> writes:

> Installed with cache invalidation for `Info-index-nodes' and
> `Info-toc-nodes' (I had to put code to `info-insert-file-contents'
> instead of `Info-find-file' because the full filename is available
> only in the former).

Thanks.  If this bug is fixed, please close it in the tracker.

> BTW, let me use this opportunity to propose an improvement that restores
> the original window point when returning back to the previous node.
> This helps to avoid distraction when point jumps from the original
> window position (displayed before leaving the Info node) to
> another position (by default, center of the window):

Looks fine by me.